fix: add retry 2 for failing e2e tests

This commit is contained in:
Joe Previte 2021-04-14 12:01:17 -07:00
parent 92b7c1e9a8
commit c9fa931a0b
No known key found for this signature in database
GPG Key ID: 2C91590C6B742C24
3 changed files with 37 additions and 31 deletions

View File

@ -4,8 +4,7 @@ set -euo pipefail
main() { main() {
cd "$(dirname "$0")/../.." cd "$(dirname "$0")/../.."
cd test cd test
# TODO@jsjoeio remove the test-match PASSWORD=e45432jklfdsab CODE_SERVER_ADDRESS=http://localhost:8080 yarn folio --config=config.ts --reporter=list
PASSWORD=e45432jklfdsab CODE_SERVER_ADDRESS=http://localhost:8080 yarn folio --config=config.ts --test-match login.test.ts --reporter=list
} }
main "$@" main "$@"

View File

@ -51,10 +51,7 @@ globalSetup(async () => {
const config: Config = { const config: Config = {
testDir: path.join(__dirname, "e2e"), // Search for tests in this directory. testDir: path.join(__dirname, "e2e"), // Search for tests in this directory.
timeout: 30000, // Each test is given 30 seconds. timeout: 30000, // Each test is given 30 seconds.
} retries: 2, // Retry failing tests 2 times
if (process.env.CI) {
config.retries = 2 // Retry failing tests 2 times
} }
setConfig(config) setConfig(config)

View File

@ -2,35 +2,45 @@ import { test, expect } from "@playwright/test"
import { CODE_SERVER_ADDRESS, STORAGE } from "../utils/constants" import { CODE_SERVER_ADDRESS, STORAGE } from "../utils/constants"
test.describe("Open Help > About", () => { test.describe("Open Help > About", () => {
test.beforeEach(async ({ page }) => { // Create a new context with the saved storage state
// Create a new context with the saved storage state // so we don't have to logged in
// so we don't have to logged in const options: any = {}
// TODO@jsjoeio reset context and use storageState // TODO@jsjoeio
// Fix this once https://github.com/microsoft/playwright-test/issues/240
// is fixed
if (STORAGE) {
const storageState = JSON.parse(STORAGE) || {} const storageState = JSON.parse(STORAGE) || {}
await page.goto(CODE_SERVER_ADDRESS, { waitUntil: "networkidle" }) options.contextOptions = {
}) storageState,
}
}
test("should see a 'Help' then 'About' button in the Application Menu that opens a dialog", async ({ page }) => { test(
// Make sure the editor actually loaded "should see a 'Help' then 'About' button in the Application Menu that opens a dialog",
expect(await page.isVisible("div.monaco-workbench")) options,
async ({ page }) => {
await page.goto(CODE_SERVER_ADDRESS, { waitUntil: "networkidle" })
// Make sure the editor actually loaded
expect(await page.isVisible("div.monaco-workbench"))
// Click the Application menu // Click the Application menu
await page.click("[aria-label='Application Menu']") await page.click("[aria-label='Application Menu']")
// See the Help button // See the Help button
const helpButton = "a.action-menu-item span[aria-label='Help']" const helpButton = "a.action-menu-item span[aria-label='Help']"
expect(await page.isVisible(helpButton)) expect(await page.isVisible(helpButton))
// Hover the helpButton // Hover the helpButton
await page.hover(helpButton) await page.hover(helpButton)
// see the About button and click it // see the About button and click it
const aboutButton = "a.action-menu-item span[aria-label='About']" const aboutButton = "a.action-menu-item span[aria-label='About']"
expect(await page.isVisible(aboutButton)) expect(await page.isVisible(aboutButton))
// NOTE: it won't work unless you hover it first // NOTE: it won't work unless you hover it first
await page.hover(aboutButton) await page.hover(aboutButton)
await page.click(aboutButton) await page.click(aboutButton)
const codeServerText = "text=code-server" const codeServerText = "text=code-server"
expect(await page.isVisible(codeServerText)) expect(await page.isVisible(codeServerText))
}) },
)
}) })